package com.abbidot.tracker.ui.activity.account.cn

import com.abbidot.tracker.ui.activity.account.AddEmailValidActivity
import com.abbidot.tracker.ui.fragment.account.CreateAccountV2ThreeFragment
import com.abbidot.tracker.ui.fragment.account.EmailValidFragment
import com.abbidot.tracker.ui.fragment.account.cn.AccountCnPhoneFragment

class RegisterCNActivity : AddEmailValidActivity() {
    override fun initData() {
        mEmailValidFragment = EmailValidFragment.newInstance(this, 1) {
            switchFragment(2)
        }.apply {
            mFragmentList.add(AccountCnPhoneFragment.newInstance(this@RegisterCNActivity))
            mFragmentList.add(this)
            mFragmentList.add(CreateAccountV2ThreeFragment.newInstance(this@RegisterCNActivity))
        }
        super.initData()
    }
}